Skip to navigation

GetCallListDetails

View as Markdown

Gets details of the specified call list. Returns a CSV file by default.

Allowed roles: Owner, Admin, Developer, Call list manager, sys.Admin read only.

Example request: Get all lists registered by user.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

list_idintegerRequired
The list ID
countintegerOptional
Maximum number of entries in the result
offsetintegerOptional

The first N records are skipped in the output

outputstringOptionalDefaults to csv

The output format. The following values available: json, csv, xls. The default value is csv

encodingstringOptional

Encoding of the output file. Default UTF-8

delimiterstringOptional

Separator values. The default value is ';'

batch_idstringOptional
Batch UUID to filter the tasks

Response

Successful response
resultlist of objectsOptional
Array of tasks for the roll call
countintegerOptional
The number of tasks